version: '3.1'

services:
  app:
{% if env_app_image is defined %}
    image: {{env_app_image}}
{% else %}
    image: skillbox/app
{% endif %}
    build:
      context: ./
      dockerfile: Dockerfile
    container_name: app
    restart: always
    ports:
{% if env_app_public_port is defined %}
      - '{{env_app_public_port}}:8080'
{% else %}
    - '8080:8080'
{% endif %}
{% if fluentd_enabled %}
    logging:
      driver: "fluentd"
      options:
        fluentd-address: localhost:24224
        tag: docker.{{.FullID}}
{% endif%}